particles = {}

function love.keypressed(k)
	if k == " " then
		for p = 1,50 do
			newp = {
				color = {math.random(0,255),math.random(0,255),math.random(0,255)},
				velocity = {x = math.random(-50,50)*10, y = math.random(-50,50)*10},
				position = {x = 400, y = 300}
			}
			table.insert(particles,newp)
		end
	end
end

function love.update(dt)
	for i,p in pairs(particles) do
		p.velocity.y = p.velocity.y+1000*dt
		if p.velocity.x > 0 then
			p.velocity.x = p.velocity.x-250*dt
		elseif p.velocity.x < 0 then
			p.velocity.x = p.velocity.x+250*dt
		end
		p.position.x = p.position.x+(p.velocity.x*dt)
		p.position.y = p.position.y+(p.velocity.y*dt)
		if p.position.x > 800 or p.position.x < 0 or p.position.y > 600 then
			table.remove(particles,i)
		end
	end
end

function love.draw()
	local pa = 0
	for i,p in pairs(particles) do
		pa = pa+1
		love.graphics.setColor(p.color[1],p.color[2],p.color[3])
		love.graphics.rectangle("fill",p.position.x,p.position.y,5,5)
	end
	love.graphics.print(pa,10,10)
end
				
				